## ECA Recipe: Keep 2 fields in sync

ID: eca_lib_0018

This model demonstrates how a text field in a user entity can be kept in sync with a similar field in an associated profile entity. This works in both directions. Regardless which of the entities gets updated, the other one will be updated automatically as well.

Without paying attention, this could lead into an infinite loop. Therefore, the related entity only gets updated if the field values are not the same already.

The creation of that model has been recorded: [Watch the video](https://tube.tchncs.de/w/99udnEHSUb5V7Dj66zes59)

### Installation

```shell
composer require drupal-eca-recipe/eca_lib_0018
cd web && php core/scripts/drupal recipe ../vendor/drupal-eca-recipe/eca_lib_0018
```